MantisBT

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009010MediaMonkey (current)DLNA/UPnPpublic2012-01-23 18:342012-03-15 08:01
ReporterLudek 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target Version4.1Fixed in Version4.1 
Summary0009010: DLNA: Change UPnP class for containers according to its type
DescriptionIt seems that for compatibility reasons we should change <upnp:class> for playlists from 'object.container' to 'object.container.playlistContainer' when serving playlists.

The same should be applied to the other container types as well:

Artists should be: object.container.person.musicArtist
Folders should be: object.container.storageFolder
Albums should be: object.container.album.musicAlbum
Genres should be: object.container.genre.musicGenre
Playlists should be: object.container.playlistContainer

 
TagsNo tags attached.
Fixed in build1600
Attached Files

- Relationships

-  Notes
(0030048)
Ludek (developer)
2012-01-25 05:10
edited on: 2012-01-25 05:19

Fixed in build 1600.

(0030049)
Ludek (developer)
2012-01-25 05:21
edited on: 2012-01-25 05:45

Tested on clients PlugPlayer, UPnPlay, BubbleUPnP, media:connect, MediaMonkey, Foobar.

- Most of clients don't react on the change at all except for BubbleUPnP and UPnPlay that show the icons according to type (playists, artists, albums).

So the change is mainly cosmetic.

(0030674)
peke (developer)
2012-03-15 08:01

Verified 1600


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker